Page MenuHomePhabricator

On Commons, Special:Upload says that the limit is 1000 MB, when it really is 100 MB
Closed, ResolvedPublic

Description

On Commons, Special:Upload says that the limit is 1000 MB, when it really is 100 MB. Files up to 1000 MB can be uploaded with chunked uploads, which Special:Upload does not use.

Since UploadWizard manages to display the correct limit to the user, Special:Upload should be able to somehow do it, too.

Event Timeline

matmarex raised the priority of this task from to Needs Triage.
matmarex updated the task description. (Show Details)
Restricted Application added subscribers: Steinsplitter, Matanya, Aklapper. · View Herald TranscriptOct 23 2015, 12:20 AM
zhuyifei1999 moved this task from Incoming to Uploading on the Commons board.Oct 23 2015, 11:32 AM
zhuyifei1999 added a subscriber: zhuyifei1999.

T98933 was how UploadWizard hardcoded the limit.

Change 248357 had a related patch set uploaded (by Bartosz Dziewoński):
Work around broken HHVM ini_get() for 'upload_max_filesize' and 'post_max_size'

https://gerrit.wikimedia.org/r/248357

Thanks for the pointer to that task, helped me figure this out.

matmarex triaged this task as Normal priority.Oct 23 2015, 5:05 PM

Change 248357 merged by jenkins-bot:
Work around broken HHVM ini_get() for 'upload_max_filesize' and 'post_max_size'

https://gerrit.wikimedia.org/r/248357

matmarex closed this task as Resolved.Nov 9 2015, 7:06 PM

This bug has been fixed and the fix will be deployed to Commons with MediaWiki version 1.27.0-wmf.6, this Wednesday, 11 November 2015, per https://www.mediawiki.org/wiki/MediaWiki_1.27/Roadmap.